summaryrefslogtreecommitdiffstats
path: root/cppcheck.sh
diff options
context:
space:
mode:
authorCosta Tsaousis <costa@tsaousis.gr>2018-10-24 03:03:57 +0300
committerGitHub <noreply@github.com>2018-10-24 03:03:57 +0300
commitf857aa35aed99b97b9b123e35544cf94260b108d (patch)
tree269b53c05fdc1649ac9b96714d8aeb2473c3d846 /cppcheck.sh
parent0a78758a111c10115de56b94dd152bf4cb505cec (diff)
optimized ses and added des (#4470)
* optimized ses and added des * added coefficient of variation * fix bug identified by @vlvkobal: use all available points when resampling is required and the timeframe is not enough for a single point
Diffstat (limited to 'cppcheck.sh')
-rwxr-xr-xcppcheck.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/cppcheck.sh b/cppcheck.sh
index aba93c269b..ebbeeaf8f9 100755
--- a/cppcheck.sh
+++ b/cppcheck.sh
@@ -12,14 +12,14 @@ processors=$(grep -c ^processor /proc/cpuinfo)
base="$(dirname "${0}")"
[ "${base}" = "." ] && base="${PWD}"
-cd "${base}/src" || exit 1
+cd "${base}" || exit 1
[ ! -d "cppcheck-build" ] && mkdir "cppcheck-build"
file="${1}"
shift
# shellcheck disable=SC2235
-([ "${file}" = "${base}" ] || [ -z "${file}" ]) && file="${base}/src"
+([ "${file}" = "${base}" ] || [ -z "${file}" ]) && file="${base}"
"${cppcheck}" \
-j ${processors} \